Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/HashMapContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/HashMapContentProvider.java	(revision 2480)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/HashMapContentProvider.java	(revision 2481)
@@ -8,27 +8,25 @@
 import org.eclipse.jface.viewers.Viewer;
 
 public class HashMapContentProvider implements IContentProvider, IStructuredContentProvider {
-
+	
 	@Override
 	public Object[] getElements(Object inputElement) {
-		Set list = ((HashMap)inputElement).entrySet();
+		Set list = ((HashMap) inputElement).entrySet();
 		Object[] objs = new Object[list.size()];
 		int i = 0;
 		for (Object o : list) {
-			objs[i] = o;
+			objs[i++] = o;
 		}
 		return objs;
 	}
-
+	
 	@Override
 	public void dispose() {
 		// TODO Auto-generated method stub
-		
 	}
-
+	
 	@Override
 	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 		// TODO Auto-generated method stub
-		
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 2480)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 2481)
@@ -20,31 +20,33 @@
 import org.txm.objects.EditionDefinition;
 import org.txm.objects.Project;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.utils.LogMonitor;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
 
 public class ImportWizard extends Wizard implements INewWizard {
-
+	
 	private SourceDirectoryPage page1 = new SourceDirectoryPage();
+	
 	private Project project;
-
+	
 	public ImportWizard() {
 		// TODO Auto-generated constructor stub
 	}
-
+	
 	@Override
 	public void init(IWorkbench workbench, IStructuredSelection selection) {
 		// TODO Auto-generated method stub
-
+		
 	}
-
+	
 	@Override
 	public boolean performFinish() {
 		if (page1.isCompleted()) {
 			try {
 				File path = new File(page1.getSourcePath());
-				String name = page1.getCorpusName();//AsciiUtils.buildId(path.getName()).toUpperCase();
+				String name = page1.getCorpusName();// AsciiUtils.buildId(path.getName()).toUpperCase();
 				
 				project = null;
 				
@@ -61,7 +63,8 @@
 					// get the more recent one
 					if (project != null && p.getLastComputingDate().compareTo(project.getLastComputingDate()) > 0) {
 						project = p;
-					} else {
+					}
+					else {
 						project = p;
 					}
 				}
@@ -72,7 +75,7 @@
 						project = new Project(Toolbox.workspace, name);
 					}
 					project.setSourceDirectory(path.getAbsolutePath());
-					project.setDescription(System.getProperty("user.name")+"\n"+TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(Calendar.getInstance().getTime()));
+					project.setDescription(System.getProperty("user.name") + "\n" + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(Calendar.getInstance().getTime()));
 					project.setLang(Locale.getDefault().getLanguage().toLowerCase());
 					
 					Log.info(NLS.bind(TXMUIMessages.theP0CorpusWillBeCreatedFromTheP1Directory, project.getName(), project.getSrcdir()));
@@ -84,7 +87,8 @@
 					
 					if (project.getAnnotate()) {
 						Log.info("The 'annotate' import parameter has been activated since TreeTagger is installed.");
-					} else {
+					}
+					else {
 						Log.info("The 'annotate' import parameter was not activated since TreeTagger is not installed.");
 					}
 					
@@ -95,37 +99,40 @@
 						params.load();
 						params.initializeProject(project);
 					}
-				} else {
+				}
+				else {
 					Date date = project.getLastComputingDate();
 					if (date == null) {
 						date = Calendar.getInstance().getTime(); // today
 					}
 					Log.info(NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced, project, date));
+					project.open(new LogMonitor());
 				}
 				
-//				if (!project.hasEditionDefinition("default")) {
-//					EditionDefinition def = project.getEditionDefinition("default");
-//					def.setBuildEdition(true);
-//					def.setWordsPerPage(500);
-//					def.setPageBreakTag("pb");
-//				}
+				// if (!project.hasEditionDefinition("default")) {
+				// EditionDefinition def = project.getEditionDefinition("default");
+				// def.setBuildEdition(true);
+				// def.setWordsPerPage(500);
+				// def.setPageBreakTag("pb");
+				// }
 				
 				project.setDoUpdate(false);
 				project.saveParameters();
 				return true;
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				e.printStackTrace();
 				return false;
 			}
 		}
 		return false;
 	}
-
+	
 	@Override
 	public void addPages() {
 		addPage(page1);
 	}
-
+	
 	public Project getProject() {
 		return project;
 	}
